Back to top

iOS & Android App FAQs

Lucky October 3, 2019 0 comments

What Is the Minimum Version of Android That the App Supports?

Android version 5.0 and greater

What Is the Minimum Version of iOS?

iOS 11+

What Languages Are Supported by the App?

We have localization planned for the future, but as of now we only support English.

Why Do You Need Location Services Enabled on the Android Version?

Android requires location services for Bluetooth LE connectivity.

How Do I Connect My Device?

tCheck uses Bluetooth LE technology, which means the device can be connected without the need to go through the phone’s settings. Just download the tCheck app and set up your account to start testing with your device!